<?php

require_once '../services/api_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $OrderID = isset($_POST['OrderID']) ? $_POST['OrderID'] : '';
    $CustomerID = isset($_POST['CustomerID']) ? $_POST['CustomerID'] : '';
    $Total = isset($_POST['Total']) ? $_POST['Total'] : '';
    $TotalWeight = isset($_POST['TotalWeight']) ? $_POST['TotalWeight'] : '';
    $PaymentOption = isset($_POST['PaymentOption']) ? $_POST['PaymentOption'] : '';
    $DeliveryOption = isset($_POST['DeliveryOption']) ? $_POST['DeliveryOption'] : '';
    $DeliveryRegion = isset($_POST['DeliveryRegion']) ? $_POST['DeliveryRegion'] : '';
    $StoreID = isset($_POST['StoreID']) ? $_POST['StoreID'] : '';
    $ShippingFees = isset($_POST['ShippingFees']) ? $_POST['ShippingFees'] : '';
    $Amount = isset($_POST['Amount']) ? $_POST['Amount'] : '';
    $Payment = isset($_POST['Payment']) ? $_POST['Payment'] : '';

    // Todo => validate user input 

    // Make a POST request to postOders API
    $api_url = API_URL . "postOders.php";
    $data = json_encode([
        'OrderID' => $OrderID,
        'CustomerID' => $CustomerID,
        'Total' => $Total,
        'TotalWeight' => $TotalWeight,
        'PaymentOption' => $PaymentOption,
        'DeliveryOption' => $DeliveryOption,
        'DeliveryRegion' => $DeliveryRegion,
        'StoreID' => $StoreID,
        'ShippingFees' => $ShippingFees,
        'Amount' => $Amount,
        'Payment' => $Payment,
    ]);

    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {
        // Decode the JSON response
        $result = json_decode($response, true);


        echo json_encode($result);
    }
    
    // Close cURL session
    curl_close($ch);
}
