<style>
    .card {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 220px;
    }

    .card-img-top {
        max-height: 210px;
        width: auto !important;
    }

    /* Remove default button styles */
    button.add-to-cart-button {
        border: none;
        background: none;
        padding: 0;
        margin: 0;
        cursor: pointer;
    }
</style>

<!-- Featured Section Begin -->
<section class="featured spad" id="featuredspad">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="section-title">
                    <h2>Featured Products </h2>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Featured Section Content Begin -->
<section class="featured spad">
    <div class="container" style="background-color: #F3F6FA;">
        <div class="row featured__filter" id="featureditems">
            <!-- Items will be dynamically added here using JavaScript -->
        </div>
        <div id="see_all">

        </div>

    </div>
</section>


<script>
    $(document).ready(function() {
        var branchid = <?php echo $branchid ?>;

        fetchdata(branchid);
    });

    function fetchdata(branchid) {
        var featuredItemsContainer = $('#featureditems');

        var seeall = $('#see_all');

       
        // Show loading icon
        // featuredItemsContainer.html('<div class="text-center"><i class="fa fa-spinner fa-spin fa-2x"></i></div>');


        $.ajax({
            type: 'GET',
            url: 'functions/featured.php?branchid=' + branchid,
            dataType: 'json',
            success: function(response) {
                if (response.items && response.items.length > 0) {
                    updatedata(response.items);
                    seeall.html(' <p id="seeall" style="text-align: right; margin-top: 10px; margin-bottom: 10px;"><a href="featured.php" style="color: #28a745;">See All</a> </p>')

                } else {
                    // hide a featured if no   items are available
                    featuredItemsContainer.empty();

                    var featuredspad = document.getElementById("featuredspad");
                    featuredspad.style.display = "none";


                }
            },
            error: function(error) {

            }
        });
    }

    function updatedata(data) {
        var featuredItemsContainer = $('#featureditems');

        // Clear previous content
        featuredItemsContainer.empty();

        // Iterate through the data and create HTML elements dynamically
        data.forEach(function(item) {
            // Use a placeholder image if the actual image is not available
            var imageUrl = item.imageUrl ? item.imageUrl : 'img/noimage.jpg';

            var cardHtml = `
            <div class="col-lg-3 col-md-4 col-sm-6 ">
                <div class="featured__item mt-3">
                
                    <div class="card featured__item__pic d-flex flex-column" style="position: relative;">
                        <img src="${imageUrl}" class="card-img-top" alt="${item.Description}" loading="lazy" />

                        <div class="text-success" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; display: none;" id="spinner-${item.itemID}" role="status">
                            <div class="text-center"><i class="fa fa-spinner fa-spin fa-2x"></i></div>
                        </div>
                    </div>

                    <div class="featured__item__text">
                        <ul class="featured__item__pic__hover mb-3">
                            <li><a href="#"><i class="fa fa-heart"></i></a></li>
                            <li><a href="#"><i class="fa fa-retweet"></i></a></li>
                            <li>

                                <button class="add-to-cart-btn btn success" data-itemid="${item.itemID}" data-itemname="${item.Description}" data-quantity="1" data-type="${item.type}">
                                    <a><i class="fa fa-shopping-cart"></i></a>
                                </button>
                            </li>
                        </ul>
                        <h6><a href="#">${item.Description}</a></h6>
                        <h5>KSh. ${item.Price.toFixed(2)}</h5>
                    </div>
                </div>
            </div>
        `;

            // Append the card HTML to the featured items container
            featuredItemsContainer.append(cardHtml);
        });
    }
</script>